[![PyPI pyversions](https://img.shields.io/pypi/pyversions/NPDoseResponse.svg)](https://pypi.python.org/pypi/NPDoseResponse/)
[![PyPI version](https://badge.fury.io/py/NPDoseResponse.svg)](https://badge.fury.io/py/NPDoseResponse)
[![Downloads](https://static.pepy.tech/badge/NPDoseResponse)](https://pepy.tech/project/NPDoseResponse)
[![Documentation Status](https://readthedocs.org/projects/doseresponse/badge/?version=latest)](http://npdoseresponse.readthedocs.io/?badge=latest)

# Nonparametric Estimation and Inference on Dose-Response Curves

This package implements the proposed integral estimator and a localized derivative estimator for estimating the covariate-adjusted regression function (or the dose-response curve in causal inference) and its derivative. We also document all the code for simulations and real-world case study in our paper [here](https://github.com/zhangyk8/NPDoseResponse/tree/main/Paper_Code).

* Free software: MIT license
* Python Package Documentation: [https://npdoseresponse.readthedocs.io](https://npdoseresponse.readthedocs.io).

Installation guide
--------

```NPDoseResponse``` requires Python 3.8+ (earlier version might be applicable) and [NumPy](http://www.numpy.org/). To install the latest version of ```NPDoseResponse``` from this repository, run:

```
python setup.py install
```

To pip install a stable release, run:
```
pip install NPDoseResponse
```

References
--------



